<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.31.0">
    <meta name="project" content="Manpages v2.3.0">


    <title>ansible-galaxy — Manpages v2.3.0</title>
    <link rel="stylesheet" href="dist/html-elixir-3ZLIM5JF.css" />


    <script src="dist/handlebars.runtime-NWIB6V2M.js"></script>
    <script src="dist/handlebars.templates-43PMFBC7.js"></script>
    <script src="dist/sidebar_items-BAAB9852.js"></script>

      <script src="doc-versions.js"></script>

    <script async src="dist/html-CILPWI2Q.js"></script>

<link rel="stylesheet" href="assets/doc.css">
  </head>
  <body data-type="extras" class="page-extra">
    <script>

      try {
        var settings = JSON.parse(localStorage.getItem('ex_doc:settings') || '{}');

        if (settings.theme === 'dark' ||
           ((settings.theme === 'system' || settings.theme == null) &&
             window.matchMedia('(prefers-color-scheme: dark)').matches)
           ) {
          document.body.classList.add('dark')
        }
      } catch (error) { }
    </script>

<div class="main">

<button class="sidebar-button sidebar-toggle" aria-label="toggle sidebar" aria-controls="sidebar">
  <i class="ri-menu-line ri-lg" title="Collapse/expand sidebar"></i>
</button>

<nav id="sidebar" class="sidebar">

  <div class="sidebar-header">
    <div class="sidebar-projectInfo">

        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectImage">
          <img src="assets/logo.png" alt="Manpages" />
        </a>

      <div>
        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectName" translate="no">
Manpages
        </a>
        <div class="sidebar-projectVersion" translate="no">
          v2.3.0
        </div>
      </div>
    </div>
    <ul id="sidebar-listNav" class="sidebar-listNav" role="tablist">
      <li>
        <button id="extras-list-tab-button" role="tab" data-type="extras" aria-controls="extras-tab-panel" aria-selected="true" tabindex="0">
MANUALS
        </button>
      </li>


    </ul>
  </div>

  <div id="extras-tab-panel" class="sidebar-tabpanel" role="tabpanel" aria-labelledby="extras-list-tab-button">
    <ul id="extras-full-list" class="full-list"></ul>
  </div>


</nav>

<main class="content">
  <output role="status" id="toast"></output>
  <div class="content-outer">
    <div id="content" class="content-inner">
      <div class="top-search">
        <div class="search-settings">
          <form class="search-bar" action="search.html">
            <label class="search-label">
              <span class="sr-only">Search documentation of Manpages</span>
              <input name="q" type="text" class="search-input" placeholder="Search Documentation (press /)" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
            </label>
            <button type="submit" class="search-button" aria-label="Submit Search">
              <i class="ri-search-2-line ri-lg" aria-hidden="true" title="Submit search"></i>
            </button>
            <button type="button" tabindex="-1" class="search-close-button" aria-hidden="true">
              <i class="ri-close-line ri-lg" title="Cancel search"></i>
            </button>
          </form>
          <button class="icon-settings display-settings">
            <i class="ri-settings-3-line"></i>
            <span class="sr-only">Settings</span>
          </button>
        </div>
      </div>
      <div class="autocomplete">
      </div>

<h1>


  <span>ansible-galaxy</span>
</h1>

<p>ANSIBLE-GALAXY(1)                                                  System administration commands                                                  ANSIBLE-GALAXY(1)</p><p>NAME</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">ansible</span><span class="o">-</span><span class="n">galaxy</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="nc">Perform</span><span class="w"> </span><span class="n">various</span><span class="w"> </span><span class="nc">Role</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="nc">Collection</span><span class="w"> </span><span class="n">related</span><span class="w"> </span><span class="n">operations</span><span class="o">.</span></code></pre><p>SYNOPSIS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="ss">usage</span><span class="p">:</span><span class="w"> </span><span class="n">ansible</span><span class="o">-</span><span class="n">galaxy</span><span class="w"> </span><span class="p" data-group-id="4292839247-1">[</span><span class="o">-</span><span class="n">h</span><span class="p" data-group-id="4292839247-1">]</span><span class="w"> </span><span class="p" data-group-id="4292839247-2">[</span><span class="o">--</span><span class="n">version</span><span class="p" data-group-id="4292839247-2">]</span><span class="w"> </span><span class="p" data-group-id="4292839247-3">[</span><span class="o">-</span><span class="n">v</span><span class="p" data-group-id="4292839247-3">]</span><span class="w"> </span><span class="nc">TYPE</span><span class="w"> </span><span class="n">...</span></code></pre><p>DESCRIPTION</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Command</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">manage</span><span class="w"> </span><span class="nc">Ansible</span><span class="w"> </span><span class="n">roles</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">collections</span><span class="o">.</span><span class="w">

   </span><span class="nc">None</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">CLI</span><span class="w"> </span><span class="n">tools</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">designed</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">run</span><span class="w"> </span><span class="n">concurrently</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">themselves</span><span class="o">.</span><span class="w">  </span><span class="nc">Use</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">external</span><span class="w"> </span><span class="n">scheduler</span><span class="w"> </span><span class="ow">and</span><span class="o">/</span><span class="ow">or</span><span class="w"> </span><span class="n">locking</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">ensure</span><span class="w"> </span><span class="n">there</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">no</span><span class="w"> </span><span class="n">clashing</span><span class="w"> </span><span class="n">operations</span><span class="o">.</span></code></pre><p>COMMON OPTIONS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="o">--</span><span class="n">version</span><span class="w">
      </span><span class="n">show</span><span class="w"> </span><span class="n">program</span><span class="err">&#39;</span><span class="n">s</span><span class="w"> </span><span class="n">version</span><span class="w"> </span><span class="n">number</span><span class="p">,</span><span class="w"> </span><span class="n">config</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">location</span><span class="p">,</span><span class="w"> </span><span class="n">configured</span><span class="w"> </span><span class="n">module</span><span class="w"> </span><span class="n">search</span><span class="w"> </span><span class="n">path</span><span class="p">,</span><span class="w"> </span><span class="n">module</span><span class="w"> </span><span class="n">location</span><span class="p">,</span><span class="w"> </span><span class="n">executable</span><span class="w"> </span><span class="n">location</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">exit</span><span class="w">

   </span><span class="o">-</span><span class="n">h</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">help</span><span class="w">
      </span><span class="n">show</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">help</span><span class="w"> </span><span class="n">message</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">exit</span><span class="w">

   </span><span class="o">-</span><span class="n">v</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">verbose</span><span class="w">
      </span><span class="nc">Causes</span><span class="w">  </span><span class="nc">Ansible</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">print</span><span class="w"> </span><span class="n">more</span><span class="w"> </span><span class="n">debug</span><span class="w"> </span><span class="n">messages</span><span class="o">.</span><span class="w"> </span><span class="nc">Adding</span><span class="w"> </span><span class="n">multiple</span><span class="w"> </span><span class="o">-</span><span class="n">v</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">increase</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">verbosity</span><span class="p">,</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">builtin</span><span class="w"> </span><span class="n">plugins</span><span class="w"> </span><span class="n">currently</span><span class="w"> </span><span class="n">evaluate</span><span class="w"> </span><span class="n">up</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="o">-</span><span class="n">vvvvvv</span><span class="o">.</span><span class="w"> </span><span class="nc">A</span><span class="w"> </span><span class="n">rea</span><span class="err">‐</span><span class="w">
      </span><span class="n">sonable</span><span class="w"> </span><span class="n">level</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">start</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="o">-</span><span class="n">vvv</span><span class="p">,</span><span class="w"> </span><span class="n">connection</span><span class="w"> </span><span class="n">debugging</span><span class="w"> </span><span class="n">might</span><span class="w"> </span><span class="kn">require</span><span class="w"> </span><span class="o">-</span><span class="n">vvvv</span><span class="o">.</span></code></pre><p>ACTIONS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">collection</span><span class="w">
          </span><span class="nc">Perform</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">action</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="nc">Ansible</span><span class="w"> </span><span class="nc">Galaxy</span><span class="w"> </span><span class="n">collection</span><span class="o">.</span><span class="w"> </span><span class="nc">Must</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">combined</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">further</span><span class="w"> </span><span class="n">action</span><span class="w"> </span><span class="n">like</span><span class="w"> </span><span class="n">init</span><span class="o">/</span><span class="n">install</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">listed</span><span class="w"> </span><span class="n">below</span><span class="o">.</span><span class="w">

   </span><span class="n">role</span><span class="w">   </span><span class="nc">Perform</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">action</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="nc">Ansible</span><span class="w"> </span><span class="nc">Galaxy</span><span class="w"> </span><span class="n">role</span><span class="o">.</span><span class="w"> </span><span class="nc">Must</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">combined</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">further</span><span class="w"> </span><span class="n">action</span><span class="w"> </span><span class="n">like</span><span class="w"> </span><span class="n">delete</span><span class="o">/</span><span class="n">install</span><span class="o">/</span><span class="n">init</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">listed</span><span class="w"> </span><span class="n">below</span><span class="o">.</span></code></pre><p>ENVIRONMENT</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">The</span><span class="w"> </span><span class="n">following</span><span class="w"> </span><span class="n">environment</span><span class="w"> </span><span class="n">variables</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">specified</span><span class="o">.</span><span class="w">

   </span><span class="nc">ANSIBLE_CONFIG</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="nc">Specify</span><span class="w"> </span><span class="n">override</span><span class="w"> </span><span class="n">location</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">ansible</span><span class="w"> </span><span class="n">config</span><span class="w"> </span><span class="n">file</span><span class="w">

   </span><span class="nc">Many</span><span class="w"> </span><span class="n">more</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">most</span><span class="w"> </span><span class="n">options</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">ansible</span><span class="o">.</span><span class="n">cfg</span><span class="w">

   </span><span class="nc">For</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">full</span><span class="w"> </span><span class="n">list</span><span class="w"> </span><span class="n">check</span><span class="w"> </span><span class="n">https</span><span class="ss">://</span><span class="n">docs</span><span class="o">.</span><span class="n">ansible</span><span class="o">.</span><span class="n">com</span><span class="o">/</span><span class="o">.</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">ansible</span><span class="o">-</span><span class="n">config</span><span class="w"> </span><span class="n">command</span><span class="o">.</span></code></pre><p>FILES</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">ansible</span><span class="o">/</span><span class="n">ansible</span><span class="o">.</span><span class="n">cfg</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="nc">Config</span><span class="w"> </span><span class="n">file</span><span class="p">,</span><span class="w"> </span><span class="n">used</span><span class="w"> </span><span class="k">if</span><span class="w"> </span><span class="n">present</span><span class="w">

   </span><span class="err">~</span><span class="o">/</span><span class="o">.</span><span class="n">ansible</span><span class="o">.</span><span class="n">cfg</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="nc">User</span><span class="w"> </span><span class="n">config</span><span class="w"> </span><span class="n">file</span><span class="p">,</span><span class="w"> </span><span class="n">overrides</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="n">config</span><span class="w"> </span><span class="k">if</span><span class="w"> </span><span class="n">present</span><span class="w">

   </span><span class="o">.</span><span class="o">/</span><span class="n">ansible</span><span class="o">.</span><span class="n">cfg</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="nc">Local</span><span class="w"> </span><span class="n">config</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="p" data-group-id="1437087499-1">(</span><span class="ow">in</span><span class="w"> </span><span class="n">current</span><span class="w"> </span><span class="n">working</span><span class="w"> </span><span class="n">directory</span><span class="p" data-group-id="1437087499-1">)</span><span class="w"> </span><span class="n">assumed</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="sc">&#39;project specific&#39;</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">overrides</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">rest</span><span class="w"> </span><span class="k">if</span><span class="w"> </span><span class="n">present</span><span class="o">.</span><span class="w">

   </span><span class="nc">As</span><span class="w"> </span><span class="n">mentioned</span><span class="w"> </span><span class="n">above</span><span class="p">,</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">ANSIBLE_CONFIG</span><span class="w"> </span><span class="n">environment</span><span class="w"> </span><span class="n">variable</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">override</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">others</span><span class="o">.</span></code></pre><p>AUTHOR</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Ansible</span><span class="w"> </span><span class="n">was</span><span class="w"> </span><span class="n">originally</span><span class="w"> </span><span class="n">written</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="nc">Michael</span><span class="w"> </span><span class="nc">DeHaan</span><span class="o">.</span></code></pre><p>COPYRIGHT</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Copyright</span><span class="w"> </span><span class="err">©</span><span class="w"> </span><span class="mi">2018</span><span class="w"> </span><span class="nc">Red</span><span class="w"> </span><span class="nc">Hat</span><span class="p">,</span><span class="w"> </span><span class="nc">Inc</span><span class="w"> </span><span class="o">|</span><span class="w"> </span><span class="nc">Ansible</span><span class="o">.</span><span class="w">  </span><span class="nc">Ansible</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">released</span><span class="w"> </span><span class="n">under</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">terms</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">GPLv3</span><span class="w"> </span><span class="n">license</span><span class="o">.</span></code></pre><p>SEE ALSO</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">ansible</span><span class="w"> </span><span class="p" data-group-id="4013309730-1">(</span><span class="mi">1</span><span class="p" data-group-id="4013309730-1">)</span><span class="p">,</span><span class="w"> </span><span class="n">ansible</span><span class="o">-</span><span class="n">config</span><span class="w"> </span><span class="p" data-group-id="4013309730-2">(</span><span class="mi">1</span><span class="p" data-group-id="4013309730-2">)</span><span class="p">,</span><span class="w"> </span><span class="n">ansible</span><span class="o">-</span><span class="n">console</span><span class="w"> </span><span class="p" data-group-id="4013309730-3">(</span><span class="mi">1</span><span class="p" data-group-id="4013309730-3">)</span><span class="p">,</span><span class="w"> </span><span class="n">ansible</span><span class="o">-</span><span class="n">doc</span><span class="w"> </span><span class="p" data-group-id="4013309730-4">(</span><span class="mi">1</span><span class="p" data-group-id="4013309730-4">)</span><span class="p">,</span><span class="w"> </span><span class="n">ansible</span><span class="o">-</span><span class="n">inventory</span><span class="w"> </span><span class="p" data-group-id="4013309730-5">(</span><span class="mi">1</span><span class="p" data-group-id="4013309730-5">)</span><span class="p">,</span><span class="w"> </span><span class="n">ansible</span><span class="o">-</span><span class="n">playbook</span><span class="w"> </span><span class="p" data-group-id="4013309730-6">(</span><span class="mi">1</span><span class="p" data-group-id="4013309730-6">)</span><span class="p">,</span><span class="w"> </span><span class="n">ansible</span><span class="o">-</span><span class="n">pull</span><span class="w"> </span><span class="p" data-group-id="4013309730-7">(</span><span class="mi">1</span><span class="p" data-group-id="4013309730-7">)</span><span class="p">,</span><span class="w"> </span><span class="n">ansible</span><span class="o">-</span><span class="n">vault</span><span class="w"> </span><span class="p" data-group-id="4013309730-8">(</span><span class="mi">1</span><span class="p" data-group-id="4013309730-8">)</span><span class="w">

   </span><span class="nc">Extensive</span><span class="w"> </span><span class="n">documentation</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">documentation</span><span class="w"> </span><span class="ss">site</span><span class="p">:</span><span class="w"> </span><span class="o">&lt;</span><span class="n">https</span><span class="ss">://</span><span class="n">docs</span><span class="o">.</span><span class="n">ansible</span><span class="o">.</span><span class="n">com</span><span class="o">&gt;</span><span class="o">.</span><span class="w">  </span><span class="nc">IRC</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">mailing</span><span class="w"> </span><span class="n">list</span><span class="w"> </span><span class="n">info</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">found</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">file</span><span class="w">  </span><span class="nc">CONTRIBUTING</span><span class="o">.</span><span class="n">md</span><span class="p">,</span><span class="w">
   </span><span class="n">available</span><span class="w"> </span><span class="ss">in</span><span class="p">:</span><span class="w"> </span><span class="o">&lt;</span><span class="n">https</span><span class="ss">://</span><span class="n">github</span><span class="o">.</span><span class="n">com</span><span class="o">/</span><span class="n">ansible</span><span class="o">/</span><span class="n">ansible</span><span class="o">&gt;</span></code></pre><p>Ansible 2.14.3                                                                                                                                     ANSIBLE-GALAXY(1)</p>
<div class="bottom-actions">
  <div class="bottom-actions-item">

      <a href="ansible-doc.html" class="bottom-actions-button" rel="prev">
        <span class="subheader">
          ← Previous Page
        </span>
        <span class="title">
ansible-doc
        </span>
      </a>

  </div>
  <div class="bottom-actions-item">

      <a href="ansible-inventory.html" class="bottom-actions-button" rel="next">
        <span class="subheader">
          Next Page →
        </span>
        <span class="title">
ansible-inventory
        </span>
      </a>

  </div>
</div>
      <footer class="footer">
        <p>

          <span class="line">
            <button class="a-main footer-button display-quick-switch" title="Search HexDocs packages">
              Search HexDocs
            </button>

          </span>
        </p>

        <p class="built-using">
          Built using
          <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" target="_blank" rel="help noopener" translate="no">ExDoc</a> (v0.31.0) for the

            <a href="https://elixir-lang.org" title="Elixir" target="_blank" translate="no">Elixir programming language</a>

        </p>
      </footer>
    </div>
  </div>
</main>
</div>


  </body>
</html>
